Main Page Widgets Namespaces Book

# icontheme.h File Reference

## Namespaces

namespace | Gtk
namespace | Glib

## Classes

class | Gtk::IconThemeError
| Exception class for Gdk::IconTheme errors. More...
class | Gtk::IconTheme

## Enumerations

enum | IconLookupFlags { ICON_LOOKUP_NO_SVG = 1 << 0, ICON_LOOKUP_FORCE_SVG = 1 << 1, ICON_LOOKUP_USE_BUILTIN = 1 << 2 }

## Functions

IconLookupFlags | operator| (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags | operator& (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags | operator^ (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags | operator~ (IconLookupFlags flags)
IconLookupFlags& | operator|= (IconLookupFlags& lhs, IconLookupFlags rhs)
IconLookupFlags& | operator&= (IconLookupFlags& lhs, IconLookupFlags rhs)
IconLookupFlags& | operator^= (IconLookupFlags& lhs, IconLookupFlags rhs)